#ifndef _COBJECTCOMBO_H_
#define _COBJECTCOMBO_H_

#include "CObjectBase.h"
#include "../x/Objstr.h"
#include "utils.h"
#include "CObjLayerFont.h"

class CObjectCombo:public CObjectBase
{
public:
	CObjectCombo(container *,Layer *,int,int,int,int,int,int,int);
	virtual ~CObjectCombo();

	int IsMouseOnObject(int,int,int);
	int CursorMove(int,int,int,int,int);
	int CursorMoveIn(int,int,int,int,int);
	int CursorMoveInWithBtnPushed(int,int,int,int,int);
	int CursorMoveOut(int,int,int,int,int);
	int CursorMoveOutWithBtnPushed(int,int,int,int,int);
	int CursorMoveOutsideWithBtnPushed(int,int,int,int,int);
	int ClickIn(int,int,int,int,int,int);
	int UnClickIn(int,int,int,int,int,int);
	int ClickOut(int,int,int,int,int,int);
	int UnClickOut(int,int,int,int,int,int);
	int DblClickIn(int,int,int,int,int,int);
	int MouseWheel(int,int,int,int,int,int);
	int KeyUp(UINT,int,UINT,int);
	int KeyDown(UINT,int,int,UINT,int);
	int SetFocus(int,int,int);
	int KillFocus(int,int);

	int Timer(int);

	Layer *GetLayer(mmachine m,int p_tab);
	Layer *GetLayerPart(mmachine m,Rect2D *area2redraw,int p_tab);
	
	int DestroyAllLayers();
	int ResizeLayer(int,int,int);
};

/* fonctions Scol */
int _CRcompCombo( mmachine m );
int _DScompCombo( mmachine m );
int _CONVERTcompComboToObjNode( mmachine m );
int _ADDcompCombo( mmachine m );
int _DELcompCombo( mmachine m );
int _SDELcompCombo( mmachine m );
int _RSTcompCombo( mmachine m );
int _GETcompComboCount( mmachine m );
int _GETcompComboValue( mmachine m );
int _SETcompComboValue( mmachine m );
int _SSETcompComboValue( mmachine m );
int _POScompCombo( mmachine m );
int _GETcompComboClicked( mmachine m );
int _SETcompComboClicked( mmachine m );
int _SSETcompComboClicked( mmachine m );
int _SETcompComboState( mmachine m );
int _CBcompComboClick( mmachine m );
int _CBcompComboResizeResource(mmachine m);
int _CBcompComboResize(mmachine m);

#endif